Summary: Locale and ISO 2022 support for Unicode terminals

%define AppProgram luit
%define AppVersion 20210218
%define UseProgram %{AppProgram}

Name: %{AppProgram}
Version: 2.0+%{AppVersion}
Release: 1
License: MIT
URL: https://invisible-island.net/%{AppProgram}/
Source0: https://invisible-mirror.net/archives/%{AppProgram}/%{AppProgram}-%{AppVersion}.tgz
Requires: zlib

%description
Luit is a filter that can be run between an arbitrary application and a
UTF-8 terminal emulator.  It will convert application output  from  the
locale's  encoding  into  UTF-8,  and convert terminal input from UTF-8
into the locale's encoding.

Unlike the older XFree86/Xorg version of luit, this does not rely upon
the fontenc package.

%prep

%define debug_package %{nil}

%setup -q -n %{AppProgram}-%{AppVersion}

%build

INSTALL_PROGRAM='${INSTALL}' \
%configure \
  --target %{_target_platform} \
  --prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir}

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install                    DESTDIR=$RPM_BUILD_ROOT

strip $RPM_BUILD_ROOT%{_bindir}/%{UseProgram}

%files
%defattr(-,root,root)
%doc %{AppProgram}.log.html
%{_prefix}/bin/%{UseProgram}
%{_mandir}/man1/%{UseProgram}.*

%changelog
# each patch should add its ChangeLog entries here

* Wed Jan 05 2022 Thomas E. Dickey
- adapted test-package script for Fedora packaging.

* Sat Jun 05 2010 Thomas Dickey
- Fixes/improvements for FreeBSD and Solaris

* Mon May 31 2010 Thomas Dickey
- initial version
